%global pypi_name crayons

Name:           python-%{pypi_name}
Version:        0.2.0
Release:        5%{?dist}
Summary:        Python module for writing colored text to terminal
License:        MIT
URL:            https://pypi.python.org/pypi/crayons
#missing license on pypi
Source0:        https://github.com/kennethreitz/crayons/archive/v%{version}/%{pypi_name}-%{version}.tar.gz


BuildArch:      noarch
%{?python_enable_dependency_generator}

%description
This module provides a simple and elegant wrapper for colorama.

%package -n python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-colorama
BuildRequires:  python3-setuptools

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This module provides a simple and elegant wrapper for colorama.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}-*.egg-info/
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/__pycache__/%{pypi_name}.*.py*

%changelog
* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 0.2.0-4
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 0.2.0-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Mar 12 2019 Patrik Kopkan <pkopkan@redhat.com> - 0.2.0-2
- initial package